summaryrefslogtreecommitdiffstats
path: root/libraries/xerces-c/xerces-c.SlackBuild
diff options
context:
space:
mode:
author Heinz Wiesinger2010-05-11 20:01:05 +0200
committer Robby Workman2010-05-11 20:01:05 +0200
commit7f9218533271ca964c75bb6b3b78810782c1662a (patch)
treeeb3b9da9aa46a15db42acb9e49f2621ac6da5912 /libraries/xerces-c/xerces-c.SlackBuild
parent602f558a2b6b88d8e9b8b89732250590c50d4316 (diff)
downloadslackbuilds-7f9218533271ca964c75bb6b3b78810782c1662a.tar.gz
libraries/xerces-c: Added to 12.0 repository
Diffstat (limited to 'libraries/xerces-c/xerces-c.SlackBuild')
-rw-r--r--libraries/xerces-c/xerces-c.SlackBuild64
1 files changed, 64 insertions, 0 deletions
diff --git a/libraries/xerces-c/xerces-c.SlackBuild b/libraries/xerces-c/xerces-c.SlackBuild
new file mode 100644
index 0000000000..2beb0f65e6
--- /dev/null
+++ b/libraries/xerces-c/xerces-c.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for xerces-c
+# Written by ppr:kut <hmwiesinger@gmx.at>
+
+set -e
+
+PRGNAM=xerces-c
+VERSION=src_2_8_0
+PKGVER=2.8.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+cd src/xercesc/
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ XERCESCROOT="$TMP/$PRGNAM-$VERSION" \
+ ICUROOT=/usr \
+ ./runConfigure -p linux -c gcc -x g++ -m inmem -n socket -t icu -r pthread -P /usr
+
+ XERCESCROOT="$TMP/$PRGNAM-$VERSION" \
+ ICUROOT=/usr \
+ make
+
+ XERCESCROOT="$TMP/$PRGNAM-$VERSION" \
+ ICUROOT=/usr \
+ make install DESTDIR=$PKG
+cd -
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$PKGVER
+cp -a KEYS LICENSE* NOTICE Readme.html STATUS credits.txt \
+ $PKG/usr/doc/$PRGNAM-$PKGVER
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$PKGVER/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKGVER-$ARCH-$BUILD$TAG.tgz